Get changed files for a pull request
GET
/repos/{owner}/{repo}/pulls/{index}/files
const url = 'https://gitea.example.com/api/v1/repos/example/example/pulls/1/files?whitespace=ignore-all';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://gitea.example.com/api/v1/repos/example/example/pulls/1/files?whitespace=ignore-all' \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
index
required
integer format: int64
Index of the pull request to get
Query Parameters
Section titled “Query Parameters”skip-to
string
Skip to given file
whitespace
string
Whitespace behavior
page
integer
Page number of results to return (1-based)
limit
integer
Page size of results
Responses
Section titled “Responses”ChangedFileList
Media typeapplication/json
Array<object>
ChangedFile store information about files affected by the pull request
object
additions
integer format: int64
changes
integer format: int64
contents_url
string
deletions
integer format: int64
filename
string
html_url
string
previous_filename
string
raw_url
string
status
string
Examplegenerated
[ { "additions": 1, "changes": 1, "contents_url": "example", "deletions": 1, "filename": "example", "html_url": "example", "previous_filename": "example", "raw_url": "example", "status": "example" }]Headers
Section titled “Headers”X-HasMore
boolean
True if there is another page
X-Page
integer format: int64
The current page
X-PageCount
integer format: int64
Total number of pages
X-PerPage
integer format: int64
Commits per page
X-Total
integer format: int64
Total commit count
APINotFound is a not found empty response
Media typeapplication/json